# web-console-colors

A colored console logger for the web and the CLI.

![Web console color example](https://raw.githubusercontent.com/hipstersmoothie/web-console-colors/master/example.png)

![Web console color example](example-cli.png)

## API

```js
import print from 'web-console-colors';

print.red('label', 'Message');
print.green('label', 'Message', '!!!'); // add an optional label
```

## Available Colors

```
blue
brown
gray
green
red
orange
purple
yellow
```

## Add a color

```js
const print = require('./dist/');

// Name, Background Color, Text Color
print.cyan = print.makeColor('cyan', '#00FFFF', '#00e5e5');

print.cyan('Label', 'Message', 'Bold text!!!');
```

## Credit to https://gist.github.com/bvaughn/810d50d6ade25b784728873daabb905e

I didn't write this but I though it would be useful for me and others in various projects.
